#include <windows.h>
#include <stdio.h>
#include <string.h>

#include "type.h"
#include "Win32Def.h"

#define VERSION     0x0100  // Version must be in BCD format

static FPSEWin32About info = {
    FPSE_GPU,
    VERSION & 0xFF,
    VERSION >> 8,
    0,
    "LDChen",
    "GPUSoft",
    "This Plugin is derived from the first GPU started by BERO.\x00d\x00a"
    "The rendering process is done by software, so it "
    "could be not very fast"
};
static HANDLE hinstance = (HANDLE)-1;

BOOL WINAPI
#ifdef __GNUC__
LibMain
#else
DllMain
#endif
(HANDLE hInstance, DWORD fdwReason, PVOID fImpLoad)
{
    hinstance = hInstance;
    return TRUE;
}

int GPU_Configure(UINT32 *par)
{
    FPSEWin32 *info = (FPSEWin32 *)par;

    MessageBox(info->HWnd,"This Plugin doesn't need to be configured",
               "GPUSoft config",MB_OK);
    return FPSE_OK;
}

void GPU_About(UINT32 *par)
{
    memcpy( par, &info, sizeof(FPSEWin32About) );
}
